# Uses of Interface
com.databricks.jdbc.api.impl.volume.VolumeUploadCallback.UrlGenerator

Packages that use VolumeUploadCallback.UrlGenerator
Package
Description
com.databricks.jdbc.api.impl.volume

## Uses of VolumeUploadCallback.UrlGenerator in com.databricks.jdbc.api.impl.volume

Constructors in com.databricks.jdbc.api.impl.volume with parameters of type VolumeUploadCallback.UrlGenerator
Modifier
Constructor
Description
``
`VolumeUploadCallback(IDatabricksHttpClient httpClient, CompletableFuture<VolumePutResult> uploadFuture, DBFSVolumeClient.UploadRequest request, Semaphore semaphore, VolumeUploadCallback.UrlGenerator urlGenerator, Function<Integer,Long> retryDelayCalculator, IDatabricksConnectionContext connectionContext)`
Constructor for the callback.